Package uk.ac.starlink.task

# Class TaskException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.ac.starlink.task.TaskException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AbortException`, `ExecutionException`, `UsageException`

public class TaskException extends Exception
Superclass for exceptions in the task package.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TaskException()`
`TaskException(String msg)`
`TaskException(String msg, Throwable cause)`
`TaskException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TaskException

public TaskException()

### TaskException

public TaskException(String msg)

### TaskException

public TaskException(String msg, Throwable cause)

### TaskException

public TaskException(Throwable cause)